Permaorange test_security.py TestSecurity.test_get_address_from_certificate | AssertionError: unexpectedly None

RESOLVED FIXED in Firefox -esr52

Status

defect
P1
normal
RESOLVED FIXED
2 years ago
2 years ago

People

(Reporter: intermittent-bug-filer, Assigned: whimboo)

Tracking

({intermittent-failure})

unspecified
mozilla58
Points:
---

Firefox Tracking Flags

(firefox-esr52 fixed, firefox56 unaffected, firefox57 fixed, firefox58 fixed)

Details

(Whiteboard: [stockwell fixed])

Attachments

(1 attachment)

[task 2017-10-10T21:31:12.213Z] 21:31:12     INFO - TEST-START | test_toolbars.py
[task 2017-10-10T21:31:12.214Z] 21:31:12     INFO - TEST-SKIP | test_toolbars.py | took 1ms
[task 2017-10-10T21:31:12.214Z] 21:31:12     INFO - TEST-START | test_security.py TestSecurity.test_get_address_from_certificate
[task 2017-10-10T21:31:12.217Z] 21:31:12     INFO -  1507671072216	Marionette	DEBUG	Accepted connection 3 from 127.0.0.1:39740
[task 2017-10-10T21:31:12.226Z] 21:31:12     INFO -  1507671072220	Marionette	TRACE	3 -> [0,1,"newSession",{}]
[task 2017-10-10T21:31:12.228Z] 21:31:12     INFO -  1507671072225	Marionette	DEBUG	Register listener.js for window 2147483649
[task 2017-10-10T21:31:12.254Z] 21:31:12     INFO -  1507671072249	Marionette	TRACE	3 <- [1,1,null,{"sessionId":"fead9530-6387-4f83-b0cb-e759a910f56f","capabilities":{"browserName":"firefox","browserVersion":"58.0a1","platformName":"linux","platformVersion":"3.13.0-112-generic","pageLoadStrategy":"normal","acceptInsecureCerts":false,"timeouts":{"implicit":0,"pageLoad":300000,"script":30000},"rotatable":false,"moz:accessibilityChecks":false,"moz:headless":false,"moz:processID":813,"moz:profile":"/builds/worker/workspace/build/tmpiNMoj0.mozrunner-1507671042","moz:webdriverClick":false}}]
[task 2017-10-10T21:31:12.263Z] 21:31:12     INFO -  1507671072256	Marionette	TRACE	3 -> [0,2,"setTimeouts",{"script":30000}]
[task 2017-10-10T21:31:12.264Z] 21:31:12     INFO -  1507671072257	Marionette	TRACE	3 <- [1,2,null,{}]
[task 2017-10-10T21:31:12.266Z] 21:31:12     INFO -  1507671072262	Marionette	TRACE	3 -> [0,3,"setTimeouts",{"pageLoad":300000}]
[task 2017-10-10T21:31:12.267Z] 21:31:12     INFO -  1507671072265	Marionette	TRACE	3 <- [1,3,null,{}]
[task 2017-10-10T21:31:12.276Z] 21:31:12     INFO -  1507671072271	Marionette	TRACE	3 -> [0,4,"setTimeouts",{"implicit":0}]
[task 2017-10-10T21:31:12.277Z] 21:31:12     INFO -  1507671072272	Marionette	TRACE	3 <- [1,4,null,{}]
[task 2017-10-10T21:31:12.282Z] 21:31:12     INFO -  1507671072279	Marionette	TRACE	3 -> [0,5,"executeScript",{"scriptTimeout":null,"newSandbox":true,"args":[],"filename":"testcases.py","script":"dump('TEST-START: test_security.py TestSecurity.test_get_address_from_certificate\\n')","sandbox":"simpletest","line":316}]
[task 2017-10-10T21:31:12.286Z] 21:31:12     INFO -  TEST-START: test_security.py TestSecurity.test_get_address_from_certificate
[task 2017-10-10T21:31:12.296Z] 21:31:12     INFO -  1507671072288	Marionette	TRACE	3 <- [1,5,null,{"value":null}]
[task 2017-10-10T21:31:12.297Z] 21:31:12     INFO -  1507671072291	Marionette	TRACE	3 -> [0,6,"getWindowHandles",{}]
[task 2017-10-10T21:31:12.298Z] 21:31:12     INFO -  1507671072292	Marionette	TRACE	3 <- [1,6,null,["2147483649"]]
[task 2017-10-10T21:31:12.300Z] 21:31:12     INFO -  1507671072294	Marionette	TRACE	3 -> [0,7,"getWindowHandles",{}]
[task 2017-10-10T21:31:12.302Z] 21:31:12     INFO -  1507671072295	Marionette	TRACE	3 <- [1,7,null,["2147483649"]]
[task 2017-10-10T21:31:12.304Z] 21:31:12     INFO -  1507671072300	Marionette	TRACE	3 -> [0,8,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:12.305Z] 21:31:12     INFO -  1507671072300	Marionette	TRACE	3 <- [1,8,null,{}]
[task 2017-10-10T21:31:12.307Z] 21:31:12     INFO -  1507671072305	Marionette	TRACE	3 -> [0,9,"getCurrentChromeWindowHandle",{}]
[task 2017-10-10T21:31:12.308Z] 21:31:12     INFO -  1507671072306	Marionette	TRACE	3 <- [1,9,null,{"value":"3"}]
[task 2017-10-10T21:31:12.313Z] 21:31:12     INFO -  1507671072310	Marionette	TRACE	3 -> [0,10,"getCurrentChromeWindowHandle",{}]
[task 2017-10-10T21:31:12.314Z] 21:31:12     INFO -  1507671072311	Marionette	TRACE	3 <- [1,10,null,{"value":"3"}]
[task 2017-10-10T21:31:12.316Z] 21:31:12     INFO -  1507671072312	Marionette	TRACE	3 -> [0,11,"getContext",{}]
[task 2017-10-10T21:31:12.318Z] 21:31:12     INFO -  1507671072313	Marionette	TRACE	3 <- [1,11,null,{"value":"chrome"}]
[task 2017-10-10T21:31:12.319Z] 21:31:12     INFO -  1507671072318	Marionette	TRACE	3 -> [0,12,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:12.320Z] 21:31:12     INFO -  1507671072319	Marionette	TRACE	3 <- [1,12,null,{}]
[task 2017-10-10T21:31:12.325Z] 21:31:12     INFO -  1507671072323	Marionette	TRACE	3 -> [0,13,"getCurrentChromeWindowHandle",{}]
[task 2017-10-10T21:31:12.327Z] 21:31:12     INFO -  1507671072323	Marionette	TRACE	3 <- [1,13,null,{"value":"3"}]
[task 2017-10-10T21:31:12.329Z] 21:31:12     INFO -  1507671072327	Marionette	TRACE	3 -> [0,14,"getWindowType",{}]
[task 2017-10-10T21:31:12.330Z] 21:31:12     INFO -  1507671072328	Marionette	TRACE	3 <- [1,14,null,{"value":"navigator:browser"}]
[task 2017-10-10T21:31:12.335Z] 21:31:12     INFO -  1507671072332	Marionette	TRACE	3 -> [0,15,"getChromeWindowHandles",{}]
[task 2017-10-10T21:31:12.337Z] 21:31:12     INFO -  1507671072333	Marionette	TRACE	3 <- [1,15,null,["3"]]
[task 2017-10-10T21:31:12.339Z] 21:31:12     INFO -  1507671072335	Marionette	TRACE	3 -> [0,16,"getContext",{}]
[task 2017-10-10T21:31:12.342Z] 21:31:12     INFO -  1507671072336	Marionette	TRACE	3 <- [1,16,null,{"value":"chrome"}]
[task 2017-10-10T21:31:12.344Z] 21:31:12     INFO -  1507671072340	Marionette	TRACE	3 -> [0,17,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:12.345Z] 21:31:12     INFO -  1507671072341	Marionette	TRACE	3 <- [1,17,null,{}]
[task 2017-10-10T21:31:12.354Z] 21:31:12     INFO -  1507671072347	Marionette	TRACE	3 -> [0,18,"executeScript",{"scriptTimeout":null,"newSandbox":true,"args":["3"],"filename":"windows.py","script":"\n              Components.utils.import(\"resource://gre/modules/Services.jsm\");\n\n              let win = Services.wm.getOuterWindowWithId(Number(arguments[0]));\n              return win.document.readyState == 'complete';\n            ","sandbox":"default","line":157}]
[task 2017-10-10T21:31:12.355Z] 21:31:12     INFO -  1507671072349	Marionette	TRACE	3 <- [1,18,null,{"value":true}]
[task 2017-10-10T21:31:12.358Z] 21:31:12     INFO -  1507671072356	Marionette	TRACE	3 -> [0,19,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:12.359Z] 21:31:12     INFO -  1507671072356	Marionette	TRACE	3 <- [1,19,null,{}]
[task 2017-10-10T21:31:12.363Z] 21:31:12     INFO -  1507671072360	Marionette	TRACE	3 -> [0,20,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:12.365Z] 21:31:12     INFO -  1507671072362	Marionette	TRACE	3 <- [1,20,null,{}]
[task 2017-10-10T21:31:12.373Z] 21:31:12     INFO -  1507671072366	Marionette	TRACE	3 -> [0,21,"getChromeWindowHandles",{}]
[task 2017-10-10T21:31:12.375Z] 21:31:12     INFO -  1507671072366	Marionette	TRACE	3 <- [1,21,null,["3"]]
[task 2017-10-10T21:31:12.376Z] 21:31:12     INFO -  1507671072369	Marionette	TRACE	3 -> [0,22,"switchToWindow",{"focus":true,"name":"3"}]
[task 2017-10-10T21:31:12.377Z] 21:31:12     INFO -  1507671072369	Marionette	TRACE	3 <- [1,22,null,{}]
[task 2017-10-10T21:31:12.378Z] 21:31:12     INFO -  1507671072372	Marionette	TRACE	3 -> [0,23,"getCurrentChromeWindowHandle",{}]
[task 2017-10-10T21:31:12.379Z] 21:31:12     INFO -  1507671072372	Marionette	TRACE	3 <- [1,23,null,{"value":"3"}]
[task 2017-10-10T21:31:12.382Z] 21:31:12     INFO -  1507671072378	Marionette	TRACE	3 -> [0,24,"getContext",{}]
[task 2017-10-10T21:31:12.383Z] 21:31:12     INFO -  1507671072380	Marionette	TRACE	3 <- [1,24,null,{"value":"chrome"}]
[task 2017-10-10T21:31:12.391Z] 21:31:12     INFO -  1507671072385	Marionette	TRACE	3 -> [0,25,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:12.393Z] 21:31:12     INFO -  1507671072385	Marionette	TRACE	3 <- [1,25,null,{}]
[task 2017-10-10T21:31:12.394Z] 21:31:12     INFO -  1507671072388	Marionette	TRACE	3 -> [0,26,"getCurrentChromeWindowHandle",{}]
[task 2017-10-10T21:31:12.396Z] 21:31:12     INFO -  1507671072388	Marionette	TRACE	3 <- [1,26,null,{"value":"3"}]
[task 2017-10-10T21:31:12.397Z] 21:31:12     INFO -  1507671072391	Marionette	TRACE	3 -> [0,27,"getWindowType",{}]
[task 2017-10-10T21:31:12.398Z] 21:31:12     INFO -  1507671072391	Marionette	TRACE	3 <- [1,27,null,{"value":"navigator:browser"}]
[task 2017-10-10T21:31:12.402Z] 21:31:12     INFO -  1507671072398	Marionette	TRACE	3 -> [0,28,"getChromeWindowHandles",{}]
[task 2017-10-10T21:31:12.403Z] 21:31:12     INFO -  1507671072399	Marionette	TRACE	3 <- [1,28,null,["3"]]
[task 2017-10-10T21:31:12.404Z] 21:31:12     INFO -  1507671072402	Marionette	TRACE	3 -> [0,29,"getContext",{}]
[task 2017-10-10T21:31:12.408Z] 21:31:12     INFO -  1507671072405	Marionette	TRACE	3 <- [1,29,null,{"value":"chrome"}]
[task 2017-10-10T21:31:12.411Z] 21:31:12     INFO -  1507671072408	Marionette	TRACE	3 -> [0,30,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:12.412Z] 21:31:12     INFO -  1507671072408	Marionette	TRACE	3 <- [1,30,null,{}]
[task 2017-10-10T21:31:12.429Z] 21:31:12     INFO -  1507671072420	Marionette	TRACE	3 -> [0,31,"executeScript",{"scriptTimeout":null,"newSandbox":true,"args":["3"],"filename":"windows.py","script":"\n              Components.utils.import(\"resource://gre/modules/Services.jsm\");\n\n              let win = Services.wm.getOuterWindowWithId(Number(arguments[0]));\n              return win.document.readyState == 'complete';\n            ","sandbox":"default","line":157}]
[task 2017-10-10T21:31:12.430Z] 21:31:12     INFO -  1507671072422	Marionette	TRACE	3 <- [1,31,null,{"value":true}]
[task 2017-10-10T21:31:12.430Z] 21:31:12     INFO -  1507671072425	Marionette	TRACE	3 -> [0,32,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:12.432Z] 21:31:12     INFO -  1507671072426	Marionette	TRACE	3 <- [1,32,null,{}]
[task 2017-10-10T21:31:12.433Z] 21:31:12     INFO -  1507671072428	Marionette	TRACE	3 -> [0,33,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:12.434Z] 21:31:12     INFO -  1507671072431	Marionette	TRACE	3 <- [1,33,null,{}]
[task 2017-10-10T21:31:12.439Z] 21:31:12     INFO -  1507671072436	Marionette	TRACE	3 -> [0,34,"getContext",{}]
[task 2017-10-10T21:31:12.440Z] 21:31:12     INFO -  1507671072436	Marionette	TRACE	3 <- [1,34,null,{"value":"chrome"}]
[task 2017-10-10T21:31:12.447Z] 21:31:12     INFO -  1507671072440	Marionette	TRACE	3 -> [0,35,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:12.448Z] 21:31:12     INFO -  1507671072441	Marionette	TRACE	3 <- [1,35,null,{}]
[task 2017-10-10T21:31:12.470Z] 21:31:12     INFO -  1507671072463	Marionette	TRACE	3 -> [0,36,"executeScript",{"scriptTimeout":null,"newSandbox":true,"args":[],"filename":"windows.py","script":" window.focus(); ","sandbox":"default","line":138}]
[task 2017-10-10T21:31:12.472Z] 21:31:12     INFO -  1507671072468	Marionette	TRACE	3 <- [1,36,null,{"value":null}]
[task 2017-10-10T21:31:12.481Z] 21:31:12     INFO -  1507671072475	Marionette	TRACE	3 -> [0,37,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:12.482Z] 21:31:12     INFO -  1507671072476	Marionette	TRACE	3 <- [1,37,null,{}]
[task 2017-10-10T21:31:12.486Z] 21:31:12     INFO -  1507671072484	Marionette	TRACE	3 -> [0,38,"getContext",{}]
[task 2017-10-10T21:31:12.487Z] 21:31:12     INFO -  1507671072485	Marionette	TRACE	3 <- [1,38,null,{"value":"chrome"}]
[task 2017-10-10T21:31:12.495Z] 21:31:12     INFO -  1507671072491	Marionette	TRACE	3 -> [0,39,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:12.496Z] 21:31:12     INFO -  1507671072492	Marionette	TRACE	3 <- [1,39,null,{}]
[task 2017-10-10T21:31:12.513Z] 21:31:12     INFO -  1507671072504	Marionette	TRACE	3 -> [0,40,"executeScript",{"scriptTimeout":null,"newSandbox":true,"args":[],"filename":"windows.py","script":"\n                  Components.utils.import(\"resource://gre/modules/Services.jsm\");\n\n                  let win = Services.focus.activeWindow;\n                  if (win) {\n                    return win.QueryInterface(Components.interfaces.nsIInterfaceRequestor)\n                              .getInterface(Components.interfaces.nsIDOMWindowUtils)\n                              .outerWindowID.toString();\n                  }\n\n                  return null;\n                ","sandbox":"default","line":59}]
[task 2017-10-10T21:31:12.513Z] 21:31:12     INFO -  1507671072507	Marionette	TRACE	3 <- [1,40,null,{"value":"3"}]
[task 2017-10-10T21:31:12.514Z] 21:31:12     INFO -  1507671072509	Marionette	TRACE	3 -> [0,41,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:12.516Z] 21:31:12     INFO -  1507671072510	Marionette	TRACE	3 <- [1,41,null,{}]
[task 2017-10-10T21:31:12.532Z] 21:31:12     INFO -  1507671072529	Marionette	TRACE	3 -> [0,42,"getContext",{}]
[task 2017-10-10T21:31:12.534Z] 21:31:12     INFO -  1507671072530	Marionette	TRACE	3 <- [1,42,null,{"value":"chrome"}]
[task 2017-10-10T21:31:12.538Z] 21:31:12     INFO -  1507671072534	Marionette	TRACE	3 -> [0,43,"setContext",{"value":"content"}]
[task 2017-10-10T21:31:12.540Z] 21:31:12     INFO -  1507671072534	Marionette	TRACE	3 <- [1,43,null,{}]
[task 2017-10-10T21:31:12.542Z] 21:31:12     INFO -  1507671072536	Marionette	TRACE	3 -> [0,44,"get",{"url":"about:"}]
[task 2017-10-10T21:31:12.559Z] 21:31:12     INFO -  1507671072548	Marionette	DEBUG	Received DOM event "beforeunload" for "about:blank"
[task 2017-10-10T21:31:12.580Z] 21:31:12     INFO -  1507671072575	Marionette	DEBUG	Received DOM event "pagehide" for "about:blank"
[task 2017-10-10T21:31:12.580Z] 21:31:12     INFO -  1507671072575	Marionette	DEBUG	Received DOM event "unload" for "about:blank"
[task 2017-10-10T21:31:12.588Z] 21:31:12     INFO -  1507671072582	Marionette	DEBUG	Received observer notification "outer-window-destroyed" for "2147483649"
[task 2017-10-10T21:31:12.625Z] 21:31:12     INFO -  1507671072614	Marionette	DEBUG	Register listener.js for window 17
[task 2017-10-10T21:31:12.727Z] 21:31:12     INFO -  1507671072722	Marionette	DEBUG	Check readyState "interactive for "about:blank"
[task 2017-10-10T21:31:12.747Z] 21:31:12     INFO -  1507671072741	Marionette	DEBUG	Received DOM event "DOMContentLoaded" for "about:blank"
[task 2017-10-10T21:31:12.839Z] 21:31:12     INFO -  1507671072834	Marionette	DEBUG	Received DOM event "DOMContentLoaded" for "about:"
[task 2017-10-10T21:31:12.855Z] 21:31:12     INFO -  1507671072844	Marionette	DEBUG	Received DOM event "pageshow" for "about:"
[task 2017-10-10T21:31:12.872Z] 21:31:12     INFO -  1507671072859	Marionette	TRACE	3 <- [1,44,null,{}]
[task 2017-10-10T21:31:12.873Z] 21:31:12     INFO -  1507671072868	Marionette	TRACE	3 -> [0,45,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:12.874Z] 21:31:12     INFO -  1507671072869	Marionette	TRACE	3 <- [1,45,null,{}]
[task 2017-10-10T21:31:12.896Z] 21:31:12     INFO -  1507671072892	Marionette	TRACE	3 -> [0,46,"getContext",{}]
[task 2017-10-10T21:31:12.897Z] 21:31:12     INFO -  1507671072893	Marionette	TRACE	3 <- [1,46,null,{"value":"chrome"}]
[task 2017-10-10T21:31:12.898Z] 21:31:12     INFO -  1507671072894	Marionette	TRACE	3 -> [0,47,"setContext",{"value":"content"}]
[task 2017-10-10T21:31:12.898Z] 21:31:12     INFO -  1507671072894	Marionette	TRACE	3 <- [1,47,null,{}]
[task 2017-10-10T21:31:12.899Z] 21:31:12     INFO -  1507671072895	Marionette	TRACE	3 -> [0,48,"get",{"url":"https://ssl-ev.mozqa.com"}]
[task 2017-10-10T21:31:12.907Z] 21:31:12     INFO -  1507671072900	Marionette	DEBUG	Received DOM event "beforeunload" for "about:"
[task 2017-10-10T21:31:12.912Z] 21:31:12     INFO -  1507671072910	Marionette	DEBUG	Received DOM event "pagehide" for "about:"
[task 2017-10-10T21:31:12.913Z] 21:31:12     INFO -  1507671072910	Marionette	DEBUG	Received DOM event "unload" for "about:"
[task 2017-10-10T21:31:12.955Z] 21:31:12     INFO -  1507671072950	Marionette	DEBUG	Received observer notification "outer-window-destroyed" for "17"
[task 2017-10-10T21:31:13.096Z] 21:31:13     INFO -  1507671073089	Marionette	DEBUG	Register listener.js for window 4294967297
[task 2017-10-10T21:31:13.173Z] 21:31:13     INFO -  1507671073166	Marionette	DEBUG	Check readyState "uninitialized for "about:blank"
[task 2017-10-10T21:31:13.580Z] 21:31:13     INFO -  1507671073573	Marionette	DEBUG	Received DOM event "DOMContentLoaded" for "https://ssl-ev.mozqa.com/"
[task 2017-10-10T21:31:13.596Z] 21:31:13     INFO -  1507671073587	Marionette	DEBUG	Received DOM event "pageshow" for "https://ssl-ev.mozqa.com/"
[task 2017-10-10T21:31:13.612Z] 21:31:13     INFO -  1507671073604	Marionette	TRACE	3 <- [1,48,null,{}]
[task 2017-10-10T21:31:13.638Z] 21:31:13     INFO -  1507671073630	Marionette	TRACE	3 -> [0,49,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:13.638Z] 21:31:13     INFO -  1507671073631	Marionette	TRACE	3 <- [1,49,null,{}]
[task 2017-10-10T21:31:13.639Z] 21:31:13     INFO -  1507671073632	Marionette	TRACE	3 -> [0,50,"getChromeWindowHandles",{}]
[task 2017-10-10T21:31:13.639Z] 21:31:13     INFO -  1507671073633	Marionette	TRACE	3 <- [1,50,null,["3"]]
[task 2017-10-10T21:31:13.639Z] 21:31:13     INFO -  1507671073634	Marionette	TRACE	3 -> [0,51,"switchToWindow",{"focus":true,"name":"3"}]
[task 2017-10-10T21:31:13.639Z] 21:31:13     INFO -  1507671073634	Marionette	TRACE	3 <- [1,51,null,{}]
[task 2017-10-10T21:31:13.640Z] 21:31:13     INFO -  1507671073636	Marionette	TRACE	3 -> [0,52,"getCurrentChromeWindowHandle",{}]
[task 2017-10-10T21:31:13.640Z] 21:31:13     INFO -  1507671073637	Marionette	TRACE	3 <- [1,52,null,{"value":"3"}]
[task 2017-10-10T21:31:13.644Z] 21:31:13     INFO -  1507671073641	Marionette	TRACE	3 -> [0,53,"getContext",{}]
[task 2017-10-10T21:31:13.645Z] 21:31:13     INFO -  1507671073641	Marionette	TRACE	3 <- [1,53,null,{"value":"chrome"}]
[task 2017-10-10T21:31:13.646Z] 21:31:13     INFO -  1507671073642	Marionette	TRACE	3 -> [0,54,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:13.648Z] 21:31:13     INFO -  1507671073643	Marionette	TRACE	3 <- [1,54,null,{}]
[task 2017-10-10T21:31:13.654Z] 21:31:13     INFO -  1507671073648	Marionette	TRACE	3 -> [0,55,"getCurrentChromeWindowHandle",{}]
[task 2017-10-10T21:31:13.655Z] 21:31:13     INFO -  1507671073649	Marionette	TRACE	3 <- [1,55,null,{"value":"3"}]
[task 2017-10-10T21:31:13.656Z] 21:31:13     INFO -  1507671073650	Marionette	TRACE	3 -> [0,56,"getWindowType",{}]
[task 2017-10-10T21:31:13.657Z] 21:31:13     INFO -  1507671073650	Marionette	TRACE	3 <- [1,56,null,{"value":"navigator:browser"}]
[task 2017-10-10T21:31:13.657Z] 21:31:13     INFO -  1507671073651	Marionette	TRACE	3 -> [0,57,"getChromeWindowHandles",{}]
[task 2017-10-10T21:31:13.658Z] 21:31:13     INFO -  1507671073652	Marionette	TRACE	3 <- [1,57,null,["3"]]
[task 2017-10-10T21:31:13.659Z] 21:31:13     INFO -  1507671073653	Marionette	TRACE	3 -> [0,58,"getContext",{}]
[task 2017-10-10T21:31:13.660Z] 21:31:13     INFO -  1507671073653	Marionette	TRACE	3 <- [1,58,null,{"value":"chrome"}]
[task 2017-10-10T21:31:13.679Z] 21:31:13     INFO -  1507671073662	Marionette	TRACE	3 -> [0,59,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:13.679Z] 21:31:13     INFO -  1507671073663	Marionette	TRACE	3 <- [1,59,null,{}]
[task 2017-10-10T21:31:13.679Z] 21:31:13     INFO -  1507671073665	Marionette	TRACE	3 -> [0,60,"executeScript",{"scriptTimeout":null,"newSandbox":true,"args":["3"],"filename":"windows.py","script":"\n              Components.utils.import(\"resource://gre/modules/Services.jsm\");\n\n              let win = Services.wm.getOuterWindowWithId(Number(arguments[0]));\n              return win.document.readyState == 'complete';\n            ","sandbox":"default","line":157}]
[task 2017-10-10T21:31:13.679Z] 21:31:13     INFO -  1507671073667	Marionette	TRACE	3 <- [1,60,null,{"value":true}]
[task 2017-10-10T21:31:13.679Z] 21:31:13     INFO -  1507671073668	Marionette	TRACE	3 -> [0,61,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:13.679Z] 21:31:13     INFO -  1507671073668	Marionette	TRACE	3 <- [1,61,null,{}]
[task 2017-10-10T21:31:13.680Z] 21:31:13     INFO -  1507671073669	Marionette	TRACE	3 -> [0,62,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:13.681Z] 21:31:13     INFO -  1507671073670	Marionette	TRACE	3 <- [1,62,null,{}]
[task 2017-10-10T21:31:13.682Z] 21:31:13     INFO -  1507671073671	Marionette	TRACE	3 -> [0,63,"getChromeWindowHandles",{}]
[task 2017-10-10T21:31:13.683Z] 21:31:13     INFO -  1507671073672	Marionette	TRACE	3 <- [1,63,null,["3"]]
[task 2017-10-10T21:31:13.683Z] 21:31:13     INFO -  1507671073672	Marionette	TRACE	3 -> [0,64,"switchToWindow",{"focus":true,"name":"3"}]
[task 2017-10-10T21:31:13.684Z] 21:31:13     INFO -  1507671073673	Marionette	TRACE	3 <- [1,64,null,{}]
[task 2017-10-10T21:31:13.685Z] 21:31:13     INFO -  1507671073674	Marionette	TRACE	3 -> [0,65,"getCurrentChromeWindowHandle",{}]
[task 2017-10-10T21:31:13.686Z] 21:31:13     INFO -  1507671073674	Marionette	TRACE	3 <- [1,65,null,{"value":"3"}]
[task 2017-10-10T21:31:13.687Z] 21:31:13     INFO -  1507671073675	Marionette	TRACE	3 -> [0,66,"getContext",{}]
[task 2017-10-10T21:31:13.687Z] 21:31:13     INFO -  1507671073675	Marionette	TRACE	3 <- [1,66,null,{"value":"chrome"}]
[task 2017-10-10T21:31:13.688Z] 21:31:13     INFO -  1507671073677	Marionette	TRACE	3 -> [0,67,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:13.689Z] 21:31:13     INFO -  1507671073677	Marionette	TRACE	3 <- [1,67,null,{}]
[task 2017-10-10T21:31:13.690Z] 21:31:13     INFO -  1507671073684	Marionette	TRACE	3 -> [0,68,"getCurrentChromeWindowHandle",{}]
[task 2017-10-10T21:31:13.691Z] 21:31:13     INFO -  1507671073687	Marionette	TRACE	3 <- [1,68,null,{"value":"3"}]
[task 2017-10-10T21:31:13.699Z] 21:31:13     INFO -  1507671073692	Marionette	TRACE	3 -> [0,69,"getWindowType",{}]
[task 2017-10-10T21:31:13.700Z] 21:31:13     INFO -  1507671073692	Marionette	TRACE	3 <- [1,69,null,{"value":"navigator:browser"}]
[task 2017-10-10T21:31:13.701Z] 21:31:13     INFO -  1507671073693	Marionette	TRACE	3 -> [0,70,"getChromeWindowHandles",{}]
[task 2017-10-10T21:31:13.702Z] 21:31:13     INFO -  1507671073694	Marionette	TRACE	3 <- [1,70,null,["3"]]
[task 2017-10-10T21:31:13.703Z] 21:31:13     INFO -  1507671073694	Marionette	TRACE	3 -> [0,71,"getContext",{}]
[task 2017-10-10T21:31:13.705Z] 21:31:13     INFO -  1507671073695	Marionette	TRACE	3 <- [1,71,null,{"value":"chrome"}]
[task 2017-10-10T21:31:13.707Z] 21:31:13     INFO -  1507671073696	Marionette	TRACE	3 -> [0,72,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:13.708Z] 21:31:13     INFO -  1507671073696	Marionette	TRACE	3 <- [1,72,null,{}]
[task 2017-10-10T21:31:13.710Z] 21:31:13     INFO -  1507671073698	Marionette	TRACE	3 -> [0,73,"executeScript",{"scriptTimeout":null,"newSandbox":true,"args":["3"],"filename":"windows.py","script":"\n              Components.utils.import(\"resource://gre/modules/Services.jsm\");\n\n              let win = Services.wm.getOuterWindowWithId(Number(arguments[0]));\n              return win.document.readyState == 'complete';\n            ","sandbox":"default","line":157}]
[task 2017-10-10T21:31:13.712Z] 21:31:13     INFO -  1507671073703	Marionette	TRACE	3 <- [1,73,null,{"value":true}]
[task 2017-10-10T21:31:13.713Z] 21:31:13     INFO -  1507671073706	Marionette	TRACE	3 -> [0,74,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:13.714Z] 21:31:13     INFO -  1507671073708	Marionette	TRACE	3 <- [1,74,null,{}]
[task 2017-10-10T21:31:13.718Z] 21:31:13     INFO -  1507671073712	Marionette	TRACE	3 -> [0,75,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:13.719Z] 21:31:13     INFO -  1507671073713	Marionette	TRACE	3 <- [1,75,null,{}]
[task 2017-10-10T21:31:13.720Z] 21:31:13     INFO -  1507671073715	Marionette	TRACE	3 -> [0,76,"findElement",{"using":"css selector","value":":root"}]
[task 2017-10-10T21:31:13.721Z] 21:31:13     INFO -  1507671073716	Marionette	TRACE	3 <- [1,76,null,{"value":{"element-6066-11e4-a52e-4f735466cecf":"ef9e8d3f-7495-4631-9cef-b98bef0953dc","ELEMENT":"ef9e8d3f-7495-4631-9cef-b98bef0953dc"}}]
[task 2017-10-10T21:31:13.722Z] 21:31:13     INFO -  1507671073717	Marionette	TRACE	3 -> [0,77,"findElement",{"using":"id","value":"tabbrowser-tabs","element":"ef9e8d3f-7495-4631-9cef-b98bef0953dc"}]
[task 2017-10-10T21:31:13.726Z] 21:31:13     INFO -  1507671073722	Marionette	TRACE	3 <- [1,77,null,{"value":{"element-6066-11e4-a52e-4f735466cecf":"e494acac-bda6-4b28-976f-6ffb91d2456e","ELEMENT":"e494acac-bda6-4b28-976f-6ffb91d2456e"}}]
[task 2017-10-10T21:31:13.728Z] 21:31:13     INFO -  1507671073723	Marionette	TRACE	3 -> [0,78,"findElements",{"using":"tag name","value":"tab","element":"e494acac-bda6-4b28-976f-6ffb91d2456e"}]
[task 2017-10-10T21:31:13.729Z] 21:31:13     INFO -  1507671073725	Marionette	TRACE	3 <- [1,78,null,[{"element-6066-11e4-a52e-4f735466cecf":"599a4870-c050-482d-acc2-88884e0d3a63","ELEMENT":"599a4870-c050-482d-acc2-88884e0d3a63"}]]
[task 2017-10-10T21:31:13.737Z] 21:31:13     INFO -  1507671073731	Marionette	TRACE	3 -> [0,79,"executeScript",{"scriptTimeout":null,"newSandbox":true,"args":[{"element-6066-11e4-a52e-4f735466cecf":"599a4870-c050-482d-acc2-88884e0d3a63","ELEMENT":"599a4870-c050-482d-acc2-88884e0d3a63"}],"filename":"tabbar.py","script":"\n          let win = arguments[0].linkedBrowser;\n          if (!win) {\n            return null;\n          }\n          return win.outerWindowID.toString();\n        ","sandbox":"default","line":219}]
[task 2017-10-10T21:31:13.738Z] 21:31:13     INFO -  1507671073733	Marionette	TRACE	3 <- [1,79,null,{"value":"4294967297"}]
[task 2017-10-10T21:31:13.740Z] 21:31:13     INFO -  1507671073734	Marionette	TRACE	3 -> [0,80,"switchToWindow",{"focus":true,"name":"4294967297"}]
[task 2017-10-10T21:31:13.741Z] 21:31:13     INFO -  1507671073735	Marionette	TRACE	3 <- [1,80,null,{}]
[task 2017-10-10T21:31:13.746Z] 21:31:13     INFO -  1507671073740	Marionette	TRACE	3 -> [0,81,"executeScript",{"scriptTimeout":null,"newSandbox":true,"args":[{"element-6066-11e4-a52e-4f735466cecf":"599a4870-c050-482d-acc2-88884e0d3a63","ELEMENT":"599a4870-c050-482d-acc2-88884e0d3a63"}],"filename":"security.py","script":"\n          var securityUI = arguments[0].linkedBrowser.securityUI;\n          var status = securityUI.QueryInterface(Components.interfaces.nsISSLStatusProvider)\n                                 .SSLStatus;\n\n          return status ? status.serverCert : null;\n        ","sandbox":"default","line":47}]
[task 2017-10-10T21:31:13.810Z] 21:31:13     INFO -  1507671073793	Marionette	TRACE	3 <- [1,81,null,{"value":{"emailAddress":"(no email address)","isBuiltInRoot":false,"getEmailAddresses":{},"containsEmailAddress":{},"subjectName":"CN=ssl-ev.mozqa.com,OU=QA,O=Mozilla Corporation,L=Mountain View,ST=California,C=US,serialNumber=C2759208,incorporationState=California,incorporationCountry=US,businessCategory=Private Organization","commonName":"ssl-ev.mozqa.com","organization":"Mozilla Corporation","organizationalUnit":"QA","sha256Fingerprint":"4B:92:B7:F8:2B:0D:1D:EC:50:13:2C:6C:00:03:9E:B1:D4:CF:DF:51:32:40:05:20:19:CC:D1:D5:F7:D2:A4:FF","sha1Fingerprint":"E5:0A:E0:18:8F:12:FB:15:11:96:2A:9C:9C:EF:E6:FB:5E:E7:F6:75","tokenName":"Software Security Device","issuerName":"CN=DigiCert SHA2 Extended Validation Server CA,OU=www.digicert.com,O=DigiCert Inc,C=US","serialNumber":"0B:60:77:04:C8:FF:F6:73:BD:4A:02:9C:6F:DA:78:FC","issuerCommonName":"DigiCert SHA2 Extended Validation Server CA","issuerOrganization":"DigiCert Inc","issuerOrganizationUnit":"www.digicert.com","issuer":{"emailAddress":"(no email address)","isBuiltInRoot":false,"getEmailAddresses":{},"containsEmailAddress":{},"subjectName":"CN=DigiCert SHA2 Extended Validation Server CA,OU=www.digicert.com,O=DigiCert Inc,C=US","commonName":"DigiCert SHA2 Extended Validation Server CA","organization":"DigiCert Inc","organizationalUnit":"www.digicert.com","sha256Fingerprint":"40:3E:06:2A:26:53:05:91:13:28:5B:AF:80:A0:D4:AE:42:2C:84:8C:9F:78:FA:D0:1F:C9:4B:C5:B8:7F:EF:1A","sha1Fingerprint":"7E:2F:3A:4F:8F:E8:FA:8A:57:30:AE:CA:02:96:96:63:7E:98:6F:3F","tokenName":"Software Security Device","issuerName":"CN=DigiCert High Assurance EV Root CA,OU=www.digicert.com,O=DigiCert Inc,C=US","serialNumber":"0C:79:A9:44:B0:8C:11:95:20:92:61:5F:E2:6B:1D:83","issuerCommonName":"DigiCert High Assurance EV Root CA","issuerOrganization":"DigiCert Inc","issuerOrganizationUnit":"www.digicert.com","issuer":{"emailAddress":"(no email address)","isBuiltInRoot":true,"getEmailAddresses":{},"containsEmailAddress":{},"subjectName":"CN=DigiCert High Assurance EV Root CA,OU=www.digicert.com,O=DigiCert Inc,C=US","commonName":"DigiCert High Assurance EV Root CA","organization":"DigiCert Inc","organizationalUnit":"www.digicert.com","sha256Fingerprint":"74:31:E5:F4:C3:C1:CE:46:90:77:4F:0B:61:E0:54:40:88:3B:A9:A0:1E:D0:0B:A6:AB:D7:80:6E:D3:B1:18:CF","sha1Fingerprint":"5F:B7:EE:06:33:E2:59:DB:AD:0C:4C:9A:E6:D3:8F:1A:61:C7:DC:25","tokenName":"Builtin Object Token","issuerName":"CN=DigiCert High Assurance EV Root CA,OU=www.digicert.com,O=DigiCert Inc,C=US","serialNumber":"02:AC:5C:26:6A:0B:40:9B:8F:0B:79:F2:AE:46:25:77","issuerCommonName":"DigiCert High Assurance EV Root CA","issuerOrganization":"DigiCert Inc","issuerOrganizationUnit":"www.digicert.com","issuer":null,"validity":{"QueryInterface":{},"notBefore":1163116800000000,"notBeforeLocalTime":"November 10, 2006, 12:00:00 AM GMT","notBeforeLocalDay":"November 10, 2006","notBeforeGMT":"November 10, 2006, 12:00:00 AM GMT","notAfter":1952035200000000,"notAfterLocalTime":"November 10, 2031, 12:00:00 AM GMT","notAfterLocalDay":"November 10, 2031","notAfterGMT":"November 10, 2031, 12:00:00 AM GMT"},"dbKey":"AAAAAAAAAAAAAAAQAAAAbgKsXCZqC0Cbjwt58q5GJXcwbDELMAkGA1UEBhMCVVMxFTATBgNVBAoTDERpZ2lDZXJ0IEluYzEZMBcGA1UECxMQd3d3LmRpZ2ljZXJ0LmNvbTErMCkGA1UEAxMiRGlnaUNlcnQgSGlnaCBBc3N1cmFuY2UgRVYgUm9vdCBDQQ==","displayName":"DigiCert High Assurance EV Root CA","certType":1,"isSelfSigned":true,"getChain":{},"keyUsages":"Signing,Certificate Signer","ASN1Structure":{"QueryInterface":{},"type":0,"tag":0,"displayName":"DigiCert High Assurance EV Root CA","displayValue":"","ASN1_END_CONTENTS":0,"ASN1_BOOLEAN":1,"ASN1_INTEGER":2,"ASN1_BIT_STRING":3,"ASN1_OCTET_STRING":4,"ASN1_NULL":5,"ASN1_OBJECT_ID":6,"ASN1_ENUMERATED":10,"ASN1_UTF8_STRING":12,"ASN1_SEQUENCE":16,"ASN1_SET":17,"ASN1_PRINTABLE_STRING":19,"ASN1_T61_STRING":20,"ASN1_IA5_STRING":22,"ASN1_UTC_TIME":23,"ASN1_GEN_TIME":24,"ASN1_VISIBLE_STRING":26,"ASN1_UNIVERSAL_STRING":28,"ASN1_BMP_STRING":30,"ASN1_HIGH_TAG_NUMBER":31,"ASN1_CONTEXT_SPECIFIC":32,"ASN1_APPLICATION":33,"ASN1_PRIVATE":34},"getRawDER":{},"equals":{},"sha256SubjectPublicKeyInfoDigest":"WoiWRyIOVNa9ihaBciRSC7XHjliYS9VwUGOIud4PB18=","exportAsCMS":{},"markForPermDeletion":{},"UNKNOWN_CERT":0,"CA_CERT":1,"USER_CERT":2,"EMAIL_CERT":4,"SERVER_CERT":8,"ANY_CERT":65535,"CMS_CHAIN_MODE_CertOnly":1,"CMS_CHAIN_MODE_CertChain":2,"CMS_CHAIN_MODE_CertChainWithRoot":3,"QueryInterface":{}},"validity":{"QueryInterface":{},"notBefore":1382443200000000,"notBeforeLocalTime":"October 22, 2013, 12:00:00 PM GMT","notBeforeLocalDay":"October 22, 2013","notBeforeGMT":"October 22, 2013, 12:00:00 PM GMT","notAfter":1855828800000000,"notAfterLocalTime":"October 22, 2028, 12:00:00 PM GMT","notAfterLocalDay":"October 22, 2028","notAfterGMT":"October 22, 2028, 12:00:00 PM GMT"},"dbKey":"AAAAAAAAAAAAAAAQAAAAbgx5qUSwjBGVIJJhX+JrHYMwbDELMAkGA1UEBhMCVVMxFTATBgNVBAoTDERpZ2lDZXJ0IEluYzEZMBcGA1UECxMQd3d3LmRpZ2ljZXJ0LmNvbTErMCkGA1UEAxMiRGlnaUNlcnQgSGlnaCBBc3N1cmFuY2UgRVYgUm9vdCBDQQ==","displayName":"DigiCert SHA2 Extended Validation Server CA","certType":1,"isSelfSigned":false,"getChain":{},"keyUsages":"Signing,Certificate Signer","ASN1Structure":{"QueryInterface":{},"type":0,"tag":0,"displayName":"DigiCert SHA2 Extended Validation Server CA","displayValue":"","ASN1_END_CONTENTS":0,"ASN1_BOOLEAN":1,"ASN1_INTEGER":2,"ASN1_BIT_STRING":3,"ASN1_OCTET_STRING":4,"ASN1_NULL":5,"ASN1_OBJECT_ID":6,"ASN1_ENUMERATED":10,"ASN1_UTF8_STRING":12,"ASN1_SEQUENCE":16,"ASN1_SET":17,"ASN1_PRINTABLE_STRING":19,"ASN1_T61_STRING":20,"ASN1_IA5_STRING":22,"ASN1_UTC_TIME":23,"ASN1_GEN_TIME":24,"ASN1_VISIBLE_STRING":26,"ASN1_UNIVERSAL_STRING":28,"ASN1_BMP_STRING":30,"ASN1_HIGH_TAG_NUMBER":31,"ASN1_CONTEXT_SPECIFIC":32,"ASN1_APPLICATION":33,"ASN1_PRIVATE":34},"getRawDER":{},"equals":{},"sha256SubjectPublicKeyInfoDigest":"RRM1dGqnDFsCJXBTHky16vi1obOlCgFFn/yOhI/y+ho=","exportAsCMS":{},"markForPermDeletion":{},"UNKNOWN_CERT":0,"CA_CERT":1,"USER_CERT":2,"EMAIL_CERT":4,"SERVER_CERT":8,"ANY_CERT":65535,"CMS_CHAIN_MODE_CertOnly":1,"CMS_CHAIN_MODE_CertChain":2,"CMS_CHAIN_MODE_CertChainWithRoot":3,"QueryInterface":{}},"validity":{"QueryInterface":{},"notBefore":1507593600000000,"notBeforeLocalTime":"October 10, 2017, 12:00:00 AM GMT","notBeforeLocalDay":"October 10, 2017","notBeforeGMT":"October 10, 2017, 12:00:00 AM GMT","notAfter":1572868800000000,"notAfterLocalTime":"November 4, 2019, 12:00:00 PM GMT","notAfterLocalDay":"November 4, 2019","notAfterGMT":"November 4, 2019, 12:00:00 PM GMT"},"dbKey":"AAAAAAAAAAAAAAAQAAAAdwtgdwTI//ZzvUoCnG/aePwwdTELMAkGA1UEBhMCVVMxFTATBgNVBAoTDERpZ2lDZXJ0IEluYzEZMBcGA1UECxMQd3d3LmRpZ2ljZXJ0LmNvbTE0MDIGA1UEAxMrRGlnaUNlcnQgU0hBMiBFeHRlbmRlZCBWYWxpZGF0aW9uIFNlcnZlciBDQQ==","displayName":"ssl-ev.mozqa.com","certType":0,"isSelfSigned":false,"getChain":{},"keyUsages":"Signing,Key Encipherment","ASN1Structure":{"QueryInterface":{},"type":0,"tag":0,"displayName":"ssl-ev.mozqa.com","displayValue":"","ASN1_END_CONTENTS":0,"ASN1_BOOLEAN":1,"ASN1_INTEGER":2,"ASN1_BIT_STRING":3,"ASN1_OCTET_STRING":4,"ASN1_NULL":5,"ASN1_OBJECT_ID":6,"ASN1_ENUMERATED":10,"ASN1_UTF8_STRING":12,"ASN1_SEQUENCE":16,"ASN1_SET":17,"ASN1_PRINTABLE_STRING":19,"ASN1_T61_STRING":20,"ASN1_IA5_STRING":22,"ASN1_UTC_TIME":23,"ASN1_GEN_TIME":24,"ASN1_VISIBLE_STRING":26,"ASN1_UNIVERSAL_STRING":28,"ASN1_BMP_STRING":30,"ASN1_HIGH_TAG_NUMBER":31,"ASN1_CONTEXT_SPECIFIC":32,"ASN1_APPLICATION":33,"ASN1_PRIVATE":34},"getRawDER":{},"equals":{},"sha256SubjectPublicKeyInfoDigest":"wt36gJG8JionZl2o96pP2Txzji4dMggHz1k0PJzdAUI=","exportAsCMS":{},"markForPermDeletion":{},"UNKNOWN_CERT":0,"CA_CERT":1,"USER_CERT":2,"EMAIL_CERT":4,"SERVER_CERT":8,"ANY_CERT":65535,"CMS_CHAIN_MODE_CertOnly":1,"CMS_CHAIN_MODE_CertChain":2,"CMS_CHAIN_MODE_CertChainWithRoot":3,"QueryInterface":{}}}]
[task 2017-10-10T21:31:13.813Z] 21:31:13     INFO -  1507671073797	Marionette	TRACE	3 -> [0,82,"executeScript",{"scriptTimeout":null,"newSandbox":true,"args":[{"element-6066-11e4-a52e-4f735466cecf":"599a4870-c050-482d-acc2-88884e0d3a63","ELEMENT":"599a4870-c050-482d-acc2-88884e0d3a63"}],"filename":"security.py","script":"\n          return arguments[0].linkedBrowser.currentURI.spec;\n        ","sandbox":"default","line":51}]
[task 2017-10-10T21:31:13.813Z] 21:31:13     INFO -  1507671073799	Marionette	TRACE	3 <- [1,82,null,{"value":"https://ssl-ev.mozqa.com/"}]
[task 2017-10-10T21:31:13.814Z] 21:31:13     INFO -  1507671073804	Marionette	TRACE	3 -> [0,83,"getContext",{}]
[task 2017-10-10T21:31:13.815Z] 21:31:13     INFO -  1507671073804	Marionette	TRACE	3 <- [1,83,null,{"value":"chrome"}]
[task 2017-10-10T21:31:13.816Z] 21:31:13     INFO -  1507671073805	Marionette	TRACE	3 -> [0,84,"setContext",{"value":"chrome"}]
[task 2017-10-10T21:31:13.817Z] 21:31:13     INFO -  1507671073805	Marionette	TRACE	3 <- [1,84,null,{}]
[task 2017-10-10T21:31:13.818Z] 21:31:13     INFO -  1507671073806	Marionette	TRACE	3 -> [0,85,"takeScreenshot",{"highlights":null,"full":true,"hash":false,"id":null,"scroll":true}]
[task 2017-10-10T21:31:13.905Z] 21:31:13     INFO -  1507671073877	Marionette	TRACE	3 <- [1,85,null,{"value":"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"}]
[task 2017-10-10T21:31:13.918Z] 21:31:13     INFO - TEST-UNEXPECTED-FAIL | test_security.py TestSecurity.test_get_address_from_certificate | AssertionError: unexpectedly None
Flags: needinfo?(hskupin)
Summary: Intermittent test_security.py TestSecurity.test_get_address_from_certificate | AssertionError: unexpectedly None → Permaorange test_security.py TestSecurity.test_get_address_from_certificate | AssertionError: unexpectedly None
Version: Version 3 → unspecified
do we know what is the root cause of this?
Whiteboard: [stockwell needswork]
I did some retriggers on passing tests and this is perma failing for some other reason besides in-tree support.

Comment 5

2 years ago
Pushed by jmaher@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/e33bc7a060e8
disable test_security.py TestSecurity.test_get_address_from_certificate on windows for perma failing for reasons outside of the tree. r=me, a=test-only
please remember to enable this test while fixing/investigating the issue.
Keywords: leave-open
Whiteboard: [stockwell needswork] → [stockwell disabled]

Comment 7

2 years ago
Pushed by archaeopteryx@coole-files.de:
https://hg.mozilla.org/mozilla-central/rev/2c17b581bc18
disable test_security.py TestSecurity.test_get_address_from_certificate on windows for perma failing for reasons outside of the tree. r=me, a=test-only
Depends on: 1393985
We would have to disable it across all branches. So also beta and esr55, because those will also be affected. Sebastian, can you please uplift the skip patch?
Flags: needinfo?(hskupin) → needinfo?(aryx.bugmail)

Comment 10

2 years ago
Pushed by jmaher@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/af48889179f5
disable test_security.py TestSecurity.test_get_address_from_certificate for perma failing for reasons outside of the tree. r=me, a=test-only

Comment 11

2 years ago
Pushed by archaeopteryx@coole-files.de:
https://hg.mozilla.org/mozilla-central/rev/3ea5af83c0c6
disable test_security.py TestSecurity.test_get_address_from_certificate for perma failing for reasons outside of the tree. r=me, a=test-only
So we fail here because the postal code and street name are no longer available in the `subjectName` property of the certificate. Given that we might not get the certificate re-newed we have to update the test. Before doing so I will still wait for a reply on bug 1393985.

Comment 13

2 years ago
Pushed by archaeopteryx@coole-files.de:
https://hg.mozilla.org/integration/mozilla-inbound/rev/ef96d2697a9d
disable test_ev_certificate.py for perma failing for reasons outside of the tree. r=me, a=test-only

Comment 14

2 years ago
Pushed by archaeopteryx@coole-files.de:
https://hg.mozilla.org/mozilla-central/rev/f3e939a81ee1
disable test_ev_certificate.py for perma failing for reasons outside of the tree. r=me, a=test-only
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
The underlying problem has been fixed now and we can re-enable the tests. I pushed a try build to ensure that all is fine.
Attachment #8918371 - Flags: review?(jmaher)

Comment 23

2 years ago
mozreview-review
Comment on attachment 8918371 [details]
Bug 1407437 - Unskip test_security.py and test_ev_certificate.py.

https://reviewboard.mozilla.org/r/189184/#review194488

excellent
Attachment #8918371 - Flags: review?(jmaher) → review+
Assignee: nobody → hskupin
Status: NEW → ASSIGNED
Priority: P5 → P1

Comment 24

2 years ago
Pushed by hskupin@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/8240c498e88c
Unskip test_security.py and test_ev_certificate.py. r=jmaher
Comment hidden (Intermittent Failures Robot)
Please uplift the unskip patch for the test to beta and esr52. Thanks.
Status: ASSIGNED → RESOLVED
Last Resolved: 2 years ago
Keywords: leave-open
Resolution: --- → FIXED
Whiteboard: [stockwell disabled] → [checkin-needed-beta][checkin-needed-esr52][stockwell disabled]
Target Milestone: --- → mozilla58
Duplicate of this bug: 1407663

Comment 29

2 years ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-beta/rev/67a0dbdbd826
Whiteboard: [checkin-needed-beta][checkin-needed-esr52][stockwell disabled] → [checkin-needed-esr52][stockwell fixed]
https://hg.mozilla.org/releases/mozilla-esr52/rev/aae240d1a5b6
Whiteboard: [checkin-needed-esr52][stockwell fixed] → [stockwell fixed]
You need to log in before you can comment on or make changes to this bug.